From 018c51647a43d38d922ef2a0e9139f2963b94df8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Sat, 29 Jun 2013 17:07:21 +0300
Subject: Correct some url parameters in Project views

--HG--
extra : source : 6cb9d8de64701fe422d23bf448e9622f1d4e824d
---
 app/views/projects/settings/_activities.html.erb |    4 ++--
 app/views/projects/settings/_modules.html.erb    |    2 +-
 app/views/projects/settings/_wiki.html.erb       |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/app/views/projects/settings/_activities.html.erb b/app/views/projects/settings/_activities.html.erb
index 81efdea..b2a544f 100644
--- a/app/views/projects/settings/_activities.html.erb
+++ b/app/views/projects/settings/_activities.html.erb
@@ -1,4 +1,4 @@
-<%= form_tag(project_project_enumerations_path(@project), :method => :put, :class => "tabular") do %>
+<%= form_tag(project_enumerations_path(@project), :method => :put, :class => "tabular") do %>
 
 <table class="list">
   <thead><tr>
@@ -32,7 +32,7 @@
 </table>
 
 <div class="contextual">
-<%= link_to(l(:button_reset), project_project_enumerations_path(@project),
+<%= link_to(l(:button_reset), project_enumerations_path(@project),
 						:method => :delete,
 						:confirm => l(:text_are_you_sure),
             :class => 'icon icon-del') %>
diff --git a/app/views/projects/settings/_modules.html.erb b/app/views/projects/settings/_modules.html.erb
index 90a59d6..744d25a 100644
--- a/app/views/projects/settings/_modules.html.erb
+++ b/app/views/projects/settings/_modules.html.erb
@@ -1,5 +1,5 @@
 <%= form_for @project,
-            :url => { :action => 'modules', :id => @project },
+            :url => { :action => 'modules', :project_id => @project },
             :html => {:id => 'modules-form'} do |f| %>
 
 <div class="box">
diff --git a/app/views/projects/settings/_wiki.html.erb b/app/views/projects/settings/_wiki.html.erb
index a6fbab1..6a8bc37 100644
--- a/app/views/projects/settings/_wiki.html.erb
+++ b/app/views/projects/settings/_wiki.html.erb
@@ -11,7 +11,7 @@
 </div>
 
 <div class="contextual">
-<%= link_to(l(:button_delete), {:controller => 'wikis', :action => 'destroy', :id => @project},
+<%= link_to(l(:button_delete), {:controller => 'wikis', :action => 'destroy', :project_id => @project},
             :class => 'icon icon-del') if @wiki && !@wiki.new_record? %>
 </div>
 
-- 
1.7.1


